class NSTextMetrics {
    constructor(data) {
        this._data = data;
    }
    get width() {
        return this._data.width;
    }
    get actualBoundingBoxLeft() {
        return this._data.actualBoundingBoxLeft;
    }
    get actualBoundingBoxRight() {
        return this._data.actualBoundingBoxRight;
    }
    get actualBoundingBoxAscent() {
        return this._data.actualBoundingBoxAscent;
    }
    get actualBoundingBoxDescent() {
        return this._data.actualBoundingBoxDescent;
    }
    get fontBoundingBoxAscent() {
        return this._data.fontBoundingBoxAscent;
    }
    get fontBoundingBoxDescent() {
        return this._data.fontBoundingBoxDescent;
    }
    get emHeightAscent() {
        return this._data.emHeightAscent;
    }
    get emHeightDescent() {
        return this._data.emHeightDescent;
    }
    get hangingBaseline() {
        return this._data.hangingBaseline;
    }
    get alphabeticBaseline() {
        return this._data.alphabeticBaseline;
    }
    get ideographicBaseline() {
        return this._data.ideographicBaseline;
    }
    toJSON() {
        return {
            width: this.width,
            actualBoundingBoxLeft: this.actualBoundingBoxLeft,
            actualBoundingBoxRight: this.actualBoundingBoxRight,
            actualBoundingBoxAscent: this.actualBoundingBoxAscent,
            actualBoundingBoxDescent: this.actualBoundingBoxDescent,
            fontBoundingBoxAscent: this.fontBoundingBoxAscent,
            fontBoundingBoxDescent: this.fontBoundingBoxDescent,
            hangingBaseline: this.hangingBaseline,
            ideographicBaseline: this.ideographicBaseline,
            emHeightAscent: this.emHeightAscent,
        };
    }
}
export { NSTextMetrics as TextMetrics };
//# sourceMappingURL=TextMetrics.js.map